Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.amf3
Class Input.ClassReference

    java.lang.Object
      org.red5.io.amf3.Input.ClassReference

Enclosing class:
  Input

    protected static class Input.ClassReference

extends Object

Holds informations about already deserialized classes.

Field Summary
`protected List<String>` | `attributeNames` Names of the attributes of the class.
`protected String` | `className` Name of the deserialized class.
`protected int` | `type` Type of the class.

Constructor Summary
`Input.ClassReference(String className, int type, List<String> attributeNames)` Create new informations about a class.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    protected String className

  Name of the deserialized class.

### type

    protected int type

  Type of the class.

### attributeNames

    protected List<String> attributeNames

  Names of the attributes of the class.

Constructor Detail

### Input.ClassReference

    public Input.ClassReference(String className,
                                int type,
                                List<String> attributeNames)

  Create new informations about a class.

  Parameters:
    `className` - class name
    `type` - type
    `attributeNames` - attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project